/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1573520974251_6291';

  // add your middleware config here
  // config.middleware = [ 'optlog' ];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  // add your config here
  config.cluster = {
    listen: {
      port: 8108,
    },
  };

  // mongoose config
  config.mongoose = {
    url: 'mongodb://127.0.0.1:27017/smart',
    options: {
      user: 'root',
      pass: 'Ziyouyanfa#@!',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  return {
    ...config,
    ...userConfig,
  };
};
