module.exports = {
  create: {
    requestBody: ['userid', 'name', 'unitid', 'ip', 'createtime', 'type', 'target', 'content', 'status', 'remark']
  },
  destroy: {
    params: ['!id'],
    service: 'delete'
  },
  update: {
    parameters: {
      params: ['!id']
    },
    requestBody: ['userid', 'name', 'unitid', 'ip', 'createtime', 'type', 'target', 'content', 'status', 'remark']
  },
  show: {
    parameters: {
      params: ['!id']
    },
    service: 'fetch'
  },
  index: {
    parameters: {
      query: ['userid', 'unitid', 'type','createtime', 'status']
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: false,
      count: true
    }
  }
};
